Subject: Re: csa digest: August 01, 2000

From: "Dori Green" <[email-masked]>
Date: Wed, 02 Aug 2000 05:46:05 EDT

>The promised newspaper article came out, but the writer's
>agenda was to talk about how expensive organic food is.  I think she was
>bought off by Cleveland Amory.

Wouldn't that be Dennis Avery, famous for his promotion of hard-core
organic agriculture and, preservation of small & family farms and
local food production and marketing systems.

Sorry, Lawrence.  Old Lutheran joke:  "We shall not grant the devil any 
power, and deny even the mention of his name."  When I'm really really upset 
with somebody, I automatically slide into this mode and dehumanize them by 
calling them by the wrong name.  I know better than to dehumanize anybody 
for any reason.  Mr. Avery's shenanigans really tie my knickers in a knot, 
though.

My apologies to anybody who was confused by this, and apologies also to 
Cleveland Amory.

Dori Green
Ash Grove Community Farm
Corning, NY

http://www.ic.org/agrove

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com